Bug 145596 - SMART support in SATA driver
SMART support in SATA driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
: FutureFeature
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-01-19 19:28 EST by Konstantin Olchanski
Modified: 2007-11-30 17:07 EST (History)
11 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Olchanski 2005-01-19 19:28:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040806

Description of problem:
In RHEL3, SMART disk monitoring does not work for SATA disks, see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=134337. We miss
this vital "enterprise" feature- the existing SMART monitoring tools
work very well for PATA disks- we discover and replace faulty disks
before losing all the data. With SATA disks, lacking SMART monitoring,
we discover defective disks too late, after much of the data is
already unreadable.

Will payware Enterprise Linux developers please put more priority into
making SATA SMART work in RHEL3 (and 4)?

K.O.


Version-Release number of selected component (if applicable):
kernel-2.4.21-27.0.1.EL, kernel-utils-2.4-8.37.7

How reproducible:
Always

Steps to Reproduce:
1. run "smartctl -d sata -a /dev/sda"


Actual Results:  "sorry, no SMART on SATA for you!"

Additional info:
Comment 3 Suzanne Hillman 2005-01-20 14:48:11 EST
Internal RFE bug #145709 entered; will be considered for future releases.
Comment 5 Jeff Garzik 2005-02-18 00:45:55 EST
This feature is available in test, and will be added to RHEL as soon
as it is standardized (March 2005).
Comment 6 Jeff Garzik 2005-02-18 00:52:15 EST
*** Bug 134337 has been marked as a duplicate of this bug. ***
Comment 7 Jeff Garzik 2005-02-18 00:52:54 EST
*** Bug 145061 has been marked as a duplicate of this bug. ***
Comment 8 Ernie Petrides 2005-02-28 20:46:18 EST
Bug 134337 and bug 145061 are not RHEL3 bugs, so I reopened them
(since they can't be dups of this bug).
Comment 9 Andrew J. Gristina 2005-07-29 18:18:13 EDT
still looking for this feature. any update on time frame?
Comment 10 Dan Hollis 2006-01-02 15:25:05 EST
kernel 2.6.15 has smart-over-sata support now.
Comment 11 Milan Kerslager 2006-01-02 21:08:51 EST
RHEL4 U3 Beta has no smart-over-sata support still.
Comment 14 Ernie Petrides 2006-01-05 16:21:22 EST
Hello, Konstantin.  Are you sure that "-d sata" is appropriate?

The RHEL3 U7 beta kernel does now have SMART support on SATA, but when
I tried to confirm that this bug was resolved by running the command
"smartctl -d sata -a /dev/sda", I got the following error:

  [...]
  =======> INVALID ARGUMENT TO -d: sata <======= 
  =======> VALID ARGUMENTS ARE: ata, scsi <=======
  [...]

I think this should be closed as a dup of bug 130712.  Jeff Garzik,
do you agree?
Comment 15 Konstantin Olchanski 2006-01-05 20:11:12 EST
I will try this on my lone (last) RHEL3 machine and write up the result. We have
been slowly migrating to RHEL4, any ETA when SATA SMART will be fixed there?
(Never mind, there are 100 other bugs open about that). K.O.
Comment 16 Jeff Garzik 2006-01-05 21:38:54 EST
The upcoming RHEL3 and RHEL4 updates both have SMART support in them ("ATA
passthrough" support).

For smartctl, you need to use "-d ata" not "-d sata".

Comment 17 Ernie Petrides 2006-01-06 15:16:37 EST
Hello, Konstantin.  The RHEL3 U7 public beta period has just started today.
You may download the 2.4.21-38.EL kernel for testing from the RHN beta channels.

Please let us know whether this bug report has been resolved with that kernel.

Thanks in advance.
Comment 21 Jeff Garzik 2006-01-11 16:04:21 EST
It is quite trivial to test SATA's SMART support.

Anyone with (a) a SATA controller, (b) a SATA hard drive and (c) the
RHEL-provided kernel-utils packages can do so.

Comment 22 Ernie Petrides 2006-01-11 18:49:16 EST
Closing this as dup of bug 130712 in anticipation of positive test
results.  Propagating management acks from there as well.

The SATA update that resolves this was committed to the RHEL3 U7
patch pool on 1-Dec-2005 (in kernel version 2.4.21-38.EL).


*** This bug has been marked as a duplicate of 130712 ***
Comment 23 Red Hat Bugzilla 2006-03-15 10:49:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.